AbstractLexicalHandler (Jing API)
Description: declaration: package: com.thaiopensource.xml.sax, class: AbstractLexicalHandler

# Class AbstractLexicalHandler

java.lang.Object
com.thaiopensource.xml.sax.AbstractLexicalHandler

All Implemented Interfaces:
  `LexicalHandler`

public class AbstractLexicalHandler extends Object implements LexicalHandler

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractLexicalHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `comment(char[] chars, int start, int length)`
  `void`
  `endCDATA()`
  `void`
  `endDTD()`
  `void`
  `endEntity(String s)`
  `void`
  `startCDATA()`
  `void`
  `startDTD(String s, String s1, String s2)`
  `void`
  `startEntity(String s)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractLexicalHandler

    public AbstractLexicalHandler()

- ## Method Details

  - ### startDTD

    public void startDTD(String s, String s1, String s2) throws SAXException
    Specified by:
      `startDTD` in interface `LexicalHandler`
    Throws:
      `SAXException`

  - ### endDTD

    public void endDTD() throws SAXException
    Specified by:
      `endDTD` in interface `LexicalHandler`
    Throws:
      `SAXException`

  - ### startEntity

    public void startEntity(String s) throws SAXException
    Specified by:
      `startEntity` in interface `LexicalHandler`
    Throws:
      `SAXException`

  - ### endEntity

    public void endEntity(String s) throws SAXException
    Specified by:
      `endEntity` in interface `LexicalHandler`
    Throws:
      `SAXException`

  - ### startCDATA

    public void startCDATA() throws SAXException
    Specified by:
      `startCDATA` in interface `LexicalHandler`
    Throws:
      `SAXException`

  - ### endCDATA

    public void endCDATA() throws SAXException
    Specified by:
      `endCDATA` in interface `LexicalHandler`
    Throws:
      `SAXException`

  - ### comment

    public void comment(char[] chars, int start, int length) throws SAXException
    Specified by:
      `comment` in interface `LexicalHandler`
    Throws:
      `SAXException`